unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, Outline, DirOutln, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    DirectoryOutline1: TDirectoryOutline;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  katalog_odczyt, katalog_zapis: string;

implementation

{$R *.dfm}
//ustawienie foldera do odczytu
procedure TForm1.Button1Click(Sender: TObject);
begin
  katalog_odczyt:=DirectoryOutLine1.Directory;
  Label1.Caption:='Folder do odczytu: '+#13+katalog_odczyt;
end;

//ustawienie foldera do zapisu
procedure TForm1.Button2Click(Sender: TObject);
begin
  katalog_zapis:=DirectoryOutLine1.Directory;
  Label2.Caption:='Folder do zapisu: '+#13+katalog_zapis;
end;


end.
